pcl::ColorModality< PointInT >::Candidate Struct Reference

`#include <pcl/recognition/color_modality.h>`

## Public Member Functions

bool | operator< (const Candidate &rhs)

## Public Attributes

float | distance
unsigned char | bin_index
size_t | x
size_t | y

## Detailed Description

### template<typename PointInT>
struct pcl::ColorModality< PointInT >::Candidate

Definition at line 62 of file color_modality.h.

## Member Function Documentation

template<typename PointInT >

bool pcl::ColorModality< PointInT >::Candidate::operator< | ( | const Candidate & | rhs | ) |

inline

Definition at line 72 of file color_modality.h.

References pcl::ColorModality< PointInT >::Candidate::distance.

## Member Data Documentation

template<typename PointInT >

unsigned char pcl::ColorModality< PointInT >::Candidate::bin_index

Definition at line 66 of file color_modality.h.

Referenced by pcl::ColorModality< PointInT >::extractFeatures().

template<typename PointInT >

float pcl::ColorModality< PointInT >::Candidate::distance

Definition at line 64 of file color_modality.h.

Referenced by pcl::ColorModality< PointInT >::extractFeatures(), and pcl::ColorModality< PointInT >::Candidate::operator<().

template<typename PointInT >

size_t pcl::ColorModality< PointInT >::Candidate::x

Definition at line 68 of file color_modality.h.

Referenced by pcl::ColorModality< PointInT >::extractFeatures().

template<typename PointInT >

size_t pcl::ColorModality< PointInT >::Candidate::y

Definition at line 69 of file color_modality.h.

Referenced by pcl::ColorModality< PointInT >::extractFeatures().

The documentation for this struct was generated from the following file:

- /build/pcl-0nnAvv/pcl-1.7.2/recognition/include/pcl/recognition/color_modality.h